Bug 78382 - FILEOPEN PDF Import: Fill and stroke opacity are not supported
Summary: FILEOPEN PDF Import: Fill and stroke opacity are not supported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: vvort
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-07 10:04 UTC by vvort
Modified: 2014-05-13 15:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test file (PDF) (1.26 KB, application/pdf)
2014-05-07 10:04 UTC, vvort
Details
Test file (SVG) (3.67 KB, image/svg+xml)
2014-05-07 10:04 UTC, vvort
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vvort 2014-05-07 10:04:17 UTC
Created attachment 98610 [details]
Test file (PDF)

Fills and strokes are rendered as 100% non-transparent.
Comment 1 vvort 2014-05-07 10:04:57 UTC
Created attachment 98611 [details]
Test file (SVG)
Comment 2 vvort 2014-05-07 10:14:08 UTC
Fixed here:
https://gerrit.libreoffice.org/9268
Comment 3 Commit Notification 2014-05-07 12:37:10 UTC
Vort committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7fc306cd72c4b1d36389ff4211216f6efde4869

fdo#78382 PDF Import: add opacity support for fill and stroke



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Samuel Mehrbrodt (CIB) 2014-05-08 06:51:00 UTC
Hi Vort,

thanks for your continuing work on PDF import.
I have added some Improvements to the release notes: https://wiki.documentfoundation.org/ReleaseNotes/4.3#Improved_PDF_import

Feel free to add any notable improvements there such that users know what has been improved.
Comment 5 vvort 2014-05-13 15:43:50 UTC
Hello, Samuel.

It's hard for me to give correct descriptions because I am not native English speaker.
This is good for service documents (bugs/commits), but not so good for PR.

There is also one more problem: it's difficult to impartially evaluate your own work.

-- Vort